[package]
name = "base-station"
version = "0.1.0"
authors = ["Mathias Gottschlag <mgottschlag@gmail.com>"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
linux-embedded-hal = "0.3"
embedded-nrf24l01 = { git = "https://github.com/mgottschlag/embedded-nrf24l01", branch = "wip" }
embedded-hal = "0.2.3"
mqtt-protocol = "0.8"
env_logger = "0.7"
log = "0.4"
thiserror = "1.0"
protocol = { path = "../../common/rust-protocol" }
rand = "0.7.3"
tokio = { version = "0.2", features = [ "full" ] }
sysfs_gpio = { version = "0.5.4", features = [ "use_tokio" ] }
futures = "0.3.5"
futures-util = "0.3.5"
nb = "0.1.2"
gpio-cdev = { git = "https://github.com/mgottschlag/gpio-cdev", branch = "tokio", features = [ "async-tokio" ] }

[patch.crates-io]
sysfs_gpio = { git = "https://github.com/mgottschlag/rust-sysfs-gpio", branch = "new-futures" }
